%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jboss-transaction-spi
Version:          7.1.0
Release:          2%{?dist}
Summary:          JBoss Transaction SPI
License:          LGPLv2+
URL:              http://www.jboss.org
Source0:          https://github.com/jbosstm/jboss-transaction-spi/archive/%{namedversion}.tar.gz

BuildArch:        noarch

BuildRequires:    jboss-connector-1.7-api
BuildRequires:    jboss-logging
BuildRequires:    jboss-transaction-1.2-api
BuildRequires:    maven-local
BuildRequires:    maven-enforcer-plugin

%description
The Java Transaction SPI classes

%package javadoc
Summary:          Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jboss-transaction-spi-%{namedversion}

rm -rf .classpath
rm -rf .settings

sed -i "s|jboss-logging-spi|jboss-logging|" pom.xml
sed -i "s|>jboss-connector-api_1.5_spec<|>jboss-connector-api_1.7_spec<|" pom.xml

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}

%files javadoc -f .mfiles-javadoc

%changelog
* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Dec 16 2013 Marek Goldmann <mgoldman@redhat.com> - 7.1.0-1
- Upstream release 7.1.0.Final

* Tue Oct 22 2013 Marek Goldmann <mgoldman@redhat.com> - 7.0.2-1
- Upstream release 7.0.2.Final

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jun 13 2013 Marek Goldmann <mgoldman@redhat.com> - 7.0.1-1
- Upstream release 7.0.1.Final
- New guidelines

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7.0.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 7.0.0-5
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Mon Aug 6 2012 Ricardo Arguello <ricardo@fedoraproject.org> - 7.0.0-4
- Added BR: maven-enforcer-plugin

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Mar 12 2012 Ricardo Arguello <ricardo@fedoraproject.org> 7.0.0-2
- Edited Summary and Description
- Removed -Dmaven.test.skip=true

* Fri Mar 9 2012 Ricardo Arguello <ricardo@fedoraproject.org> 7.0.0-1
- Cleanup of the spec file
- Upstream updated to 7.0.0.Final

* Mon Nov 21 2011 Marek Goldmann <mgoldman@redhat.com> 7.0.0-0.1.CR2
- Initial packaging
